Package de.willuhn.jameica.hbci.gui.input

# Class BICInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.TextInput
de.willuhn.jameica.hbci.gui.input.AccountInput
de.willuhn.jameica.hbci.gui.input.BICInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class BICInput extends AccountInput
Implementierung eines Eingabefeldes fuer die BIC. Erlaubt die Eingabe von kleinen Buchstaben - ersetzt diese jedoch automatisch gegen Grossbuchstaben.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.input.TextInput

`text`

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`BICInput(String value)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`setValue(Object value)`

### Methods inherited from class de.willuhn.jameica.hbci.gui.input.AccountInput

`setValidChars`

### Methods inherited from class de.willuhn.jameica.gui.input.TextInput

`disable, enable, focus, getControl, getHint, getTextWidget, getValue, isEnabled, setEnabled, setHint, setMaxLength`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BICInput

public BICInput(String value)
ct.

Parameters:
  `value` - die BIC.

## Method Details

### setValue

public void setValue(Object value)

Specified by:
  `setValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `setValue` in class `de.willuhn.jameica.gui.input.TextInput`
See Also:
  - `TextInput.setValue(java.lang.Object)`